class Deck::Container::Add
  include Deck::Submodule
  include Deck::Repeatable

  repeatable true
  register_name :add

  def define(file, path: '/')
    step do
      attributes[:file] = file
      attributes[:path] = path
    end
  end

  def export
    attributes[:file]
  end

  def build_command(deps)
    cmd = "ADD #{attributes[:file]} #{attributes[:path]}\n"
  end
end
