class Deck::Container::Cmd
  include Deck::Submodule
  include Deck::Repeatable

  register_name :cmd
  repeatable true

  def initialize
  end

  def define(command, workdir: '/')
    step do
      attributes[:command] = command
      attributes[:workdir] = workdir
    end
  end

  def export
    attributes[:command]
  end

  def build_command(deps)
    "RUN cd #{attributes[:workdir]} && #{attributes[:command]}"
  end
end
