class Deck::Container::Expose
  include Deck::Submodule

  register_name :expose

  def define(*ports)
    attributes[:port] = ports
  end

  def export
    attributes[:port]
  end

  def build_command(deps)
    "EXPOSE #{export.join(' ')}"
  end
end
