class Deck::Container::Start
  include Deck::Submodule

  register_name :start

  def define(type, command, workdir: '.')
    attributes[:type] = type
    attributes[:command] = command
    attributes[:workdir] = workdir
  end

  def export
    attributes[:command]
  end

  def build_command(deps)
    "CMD cd #{attributes[:workdir]} && #{attributes[:command]}"
  end
end
