class Deck::Container::WorkDir
  include Deck::Submodule

  register_name :workdir

  def define(workdir)
    attributes[:workdir] = workdir
  end

  def export
    attributes[:workdir]
  end

  def build_command(deps)
    "WORKDIR #{attributes[:workdir]}"
  end
end
