module Deck::Repeatable
  class Step
    attr_reader :attributes

    def initialize
      @attributes = {}
    end
  end

  def step(&block)
    @repeatable_attr ||= []
    step = Step.new
    step.instance_eval(&block) if block_given?

    @repeatable_attr << step.attributes
  end

  def attributes
    @index ||= 0
    @repeatable_attr[@index]
  end

  def next
    @index += 1
  end
end
