module Deck
  autoload :Config,      'deck/config'
  autoload :Submodule,   'deck/submodule'
  autoload :Repeatable,  'deck/repeatable'
  autoload :Container,   'deck/container'
  autoload :Run,         'deck/run'
  autoload :CommandLine, 'deck/command_line'

  class << self
    def design(name, tag: nil, &block)
      container = Container.new
      container.name name
      container.tag tag unless tag.nil?
      container.instance_eval &block
      container
    end

    def run
    end
  end
end
